org.apache.ignite.internal.util.lang.gridfunc

## Class AtomicIntegerFactoryCallable

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.AtomicIntegerFactoryCallable

All Implemented Interfaces:
  Serializable, Callable<AtomicInteger>, IgniteCallable<AtomicInteger>

    public class AtomicIntegerFactoryCallable
    extends Object
    implements IgniteCallable<AtomicInteger>

Atomic integer factory.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AtomicIntegerFactoryCallable()`

### Method Summary

Methods
`AtomicInteger` `call()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AtomicIntegerFactoryCallable

    public AtomicIntegerFactoryCallable()

### Method Detail

#### call

    public AtomicInteger call()

Specified by:
  `call` in interface `Callable<AtomicInteger>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017